# Mtk

## Docs

[Chinese](https://docs.mogdb.io/zh/mtk/v2.0/overview)

[English](https://docs.mogdb.io/en/mtk/v2.0/overview)

## Usage

### Apply for a license

```bash
# Machines are required to be able to use the Internet
./mtk license gen
```

### View version

```
./mtk -v
```

### View command line help

```
./mtk -h
```

## Migration (After 2.1.0)

- init project

    ```shell
    #./mtk init-project -h
    ./mtk init-project -n ora2og
    # will build a migration directory
    # tree ora2og
    ora2og
    ├── config
    │   └── mtk.json
    ├── data
    ├── report
    └── schema
    ```

- edit the configuration file

    ```shell
    vi ora2og/config.mtk.json
    # Edit connection information and migration objects (tables/schemas).
    # The directory definition does not need to be modified
    ```

- run

    ```shell
    ./mtk -c ora2og/config/mtk.json
    # debug
    ./mtk -c ora2og/config/mtk.json --debug
    # only Schema is migrated
    ./mtk -c ora2og/config/mtk.json --schemaOnly
    # Only Data is migrated
    ./mtk -c ora2og/config/mtk.json --dataOnly
    ```

- view Report

  View the report in the `ora2og/report` directory

- export as a file

    ```shell
    ./mtk -c ora2og/config/mtk.json --file
    # Only Schema is migrated
    ./mtk -c ora2og/config/mtk.json --file --schemaOnly
    # Only Data is migrated
    ./mtk -c ora2og/config/mtk.json --file --dataOnly
    ```

- The command line specifies the migration object

    ```shell
    # specify the table
    ./mtk -c ora2og/config/mtk.json --tables schema1.table1,schema2.table2
    # specify the schema
    ./mtk -c ora2og/config/mtk.json --schemas schema1,schema2
    ```

## Migration (before 2.1.0)

- edit the configuration file.

  ```shell
  vi mtk_config.json
  ```

- run the configuration file.

  ```shell
  ./mtk -c mtk_config.json
  ```

- specify the migration report and log file, and set the debug mode.

  ```shell
  ./mtk -c mtk_config.json --reportFile mtk_report --logfile mtk_report.log --debug
  ```
